<!--
  Generated template for the BookInfoPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<script src="book-info.ts"></script>
<ion-header>

  <ion-navbar color="primary">
    <ion-title>Book Information</ion-title>
  </ion-navbar>

</ion-header>


<ion-content padding>
  <div class="bookInfo">
    <b>{{bookTitle}}</b>
    <br><br>
    Author : {{author}}
    <br>
    Edition: {{edition}}
    <br>
    Copyright Year: {{copyright_date}}
    <br>
    <div *ngIf="fromWhere === '1'">
    Section: {{section}}<br>
    Availability: {{av}}
    <br>
    </div>
    <br>
    <span *ngIf="fromWhere=='2'">Barcode: {{barcode}} </span>
  </div>
  <button ion-button block (click)="Borrow()" *ngIf="fromWhere=='2'" [disabled]="!attendance">Reserve</button>
  <span style="color: red; font-size: small" *ngIf="fromWhere==='2' && !attendance">*You can't reserve a material without scanning the barcode for attendance</span>
</ion-content>
